Subject: [CCAMP] I-D Action:draft-ietf-ccamp-gmpls-g-694-lambda-labels-05.txt

From: [email-masked]
Date: Sun, 6 Dec 2009 18:30:02 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.

	Title           : Generalized Labels for Lambda-Switching Capable Label Switching Routers
	Author(s)       : T. Otani, et al.
	Filename        : draft-ietf-ccamp-gmpls-g-694-lambda-labels-05.txt
	Pages           : 13
	Date            : 2009-12-06

Technology in the optical domain is constantly evolving and as a 
consequence new equipment providing lambda switching capability has 
been developed and is currently being deployed. However, [RFC3471] 
has defined that a wavelength label (section 3.2.1.1) "only has 
significance between two neighbors" and global wavelength continuity 
is not considered. In order to achieve interoperability in a network 
composed of next generation lambda switch-capable equipment, this 
document defines a standard lambda label format, being compliant 
with either [G.694.1](DWDM-grid) or [G.694.2](CWDM-grid). Moreover 
some consideration on how to ensure lambda continuity with RSVP-TE 
is provided. This document is a companion to the Generalized Multi-
Protocol Label Switching (GMPLS) signaling. It defines the label 
format when Lambda Switching is requested in an all optical network. 

Conventions used in this document 

The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", 
"SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this 
document are to be interpreted as described in [RFC2119].

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-g-694-lambda-labels-05.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Dan Li <[email-masked]>
Date: Mon, 07 Dec 2009 14:39:51 +0800

Hi,
We have received the liaison from the ITU-T Q6/15 on 27th October 2009. Please refer to:

https://datatracker.ietf.org/documents/LIAISON/file718.pdf

Some comments with respect to draft-ietf-ccamp-gmpls-g-694-lambda-labels-04.txt are provided in the liaison:

1) Removal of reference to G.694 in title of document;
2) Abstract: replace "ITU-T G.694" (which doesn't exist in this form) with "either G.694.1 (DWDM-grid) or G.694.2 (CWDM-grid)". Make equivalent changes elsewhere in the draft where "G.694" (rather than G.694.1 or G.694.2) appears (3 places);
3) Clause 3 and Figure 1 in particular: the term "DWDM" (which stands for Dense Wavelength Division Multiplexing) seems to be applied to optical multiplexers/de-multiplexers. Q6 suggests that it would be better to refer to these devices as "DWDM multiplexer & demultiplexer";
4) Clause 4.1: reference (2 instances) is made to "tables" in G.694.1. It is suggested to replace this by "grids";
5) Clause 4.2: the "order" in the IETF wavelength label is currently indicated as: Grid, C.S., reserved, n; Q.6/15 has understood from the meeting on 20 March that there was a agreement to define this as: Grid, C.S., n, reserved, where n is defined to be bits 7 to 22 and bits 23 to 32 are reserved. The latter bit allocation is the one that has been included in draft revised G.697. 

Except comment 5, all the comments are editorial. In  draft-ietf-ccamp-gmpls-g-694-lambda-labels-05.txt, the following changes are made:

1) The comments provided by ITU-T Q6/15 via liaison (COM15-LS78-E) are incorporated except the last comment, which is not adopted.
2) Terms such as PXC, DWDM and CSPF, are explicitly described.
3) The new IETF draft template is used for this version.
4) Added Takehiro Tsuritani and Dan Li as the editors/authors of this draft.

For comment 5, as we have discussed in the mailing list before, the current format is more convenient for the code implementation, so we would like to keep the current format, which is described in current draft.

Best regards,

Authors of lambda-label draft 

----- Original Message ----- 
From: [email-masked] 
To: [email-masked] 
Cc: [email-masked] 
Sent: Monday, December 07, 2009 10:30 AM
Subject: [CCAMP] I-D Action:draft-ietf-ccamp-gmpls-g-694-lambda-labels-05.txt

--------------------------------------------------------------------------------

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp